#
# Conditional build:
%bcond_with	gtk3	# use GTK+ 3.x instead of 2.x

Summary:	MATE Terminal Emulator
Summary(pl.UTF-8):	Emulator terminala dla środowiska MATE
Name:		mate-terminal
Version:	1.8.1
Release:	1
License:	GPL v3+
Group:		X11/Applications
Source0:	http://pub.mate-desktop.org/releases/1.8/%{name}-%{version}.tar.xz
# Source0-md5:	308e35fbcad6b75414276a3453cc2d6a
Patch0:		wordseps.patch
URL:		http://mate-desktop.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9
BuildRequires:	bison
BuildRequires:	dconf-devel >= 0.13.4
BuildRequires:	desktop-file-utils
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel >= 0.10.40
BuildRequires:	glib2-devel >= 1:2.30
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.18.0}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0.0}
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libtool >= 1:1.4.3
BuildRequires:	mate-common
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.36
BuildRequires:	sed >= 4.0
%{!?with_gtk3:BuildRequires:	vte0-devel >= 0.25.91}
%{?with_gtk3:BuildRequires:	vte-devel >= 0.25.91}
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	yelp-tools
Requires:	dconf >= 0.13.4
Requires:	glib2 >= 1:2.30
%{!?with_gtk3:Requires:	gtk+2 >= 2:2.18.0}
%{?with_gtk3:Requires:	gtk+3 >= 3.0.0}
Requires:	mate-desktop
%{!?with_gtk3:Requires:	vte0 >= 0.25.91}
%{?with_gtk3:Requires:	vte >= 0.25.91}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MATE Terminal Emulator.

%description -l pl.UTF-8
Emulator terminala dla środowiska MATE.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e '1s,/usr/bin/env python,/usr/bin/python,' mate-terminal.wrapper

%build
mate-doc-common --copy
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-compile \
	--disable-silent-rules \
	%{?with_gtk3:--with-gtk=3.0}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# not using alternatives in pld, drop
# https://github.com/mate-desktop/mate-terminal/issues/9
%{__rm} $RPM_BUILD_ROOT%{_bindir}/mate-terminal.wrapper

desktop-file-install \
	--add-category="X-Mate" \
	--delete-original \
	--dir=$RPM_BUILD_ROOT%{_desktopdir} \
	$RPM_BUILD_ROOT%{_desktopdir}/*.desktop

%find_lang %{name} --with-mate

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/mate-terminal
%{_mandir}/man1/mate-terminal.1*
%{_desktopdir}/mate-terminal.desktop
%{_datadir}/glib-2.0/schemas/org.mate.terminal.gschema.xml
%{_datadir}/mate-terminal
%changelog
* Mon Sep 29 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mate-terminal.git;a=log;h=master

* Mon Sep 29 2014 Jan Palus <atler@pld-linux.org> 86c5f1f
- up to 1.8.1

* Fri Jul 11 2014 Jakub Bogusz <qboosh@pld-linux.org> b3039ee
- cmn locale is supported now
- cleaned up scrollkeeper leftovers

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 02fd40a
- up to 1.8.0

* Sat Mar 01 2014 Elan Ruusamäe <glen@delfi.ee> 7a457d6
- drop mate-terminal.wrapper, not using alternatives in pld so this only pulls bogus python dep

* Mon Jan 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 81ff77e
- updated to 1.6.2
- updated wordseps patch

* Sun Jan 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 1c68d73
- pl, completed dependencies
- License is GPL v3+

* Wed May 15 2013 Elan Ruusamäe <glen@delfi.ee> e31a65d
- add ';' to wordseps, similar to other terminal emulators

* Wed May 15 2013 Elan Ruusamäe <glen@delfi.ee> 246e390
- update BR deps

* Wed May 15 2013 Elan Ruusamäe <glen@delfi.ee> b2beb8a
- add dependency for %find_lang --with-mate

* Tue May 14 2013 Jan Rękorajski <baggins@pld-linux.org> 2179a25
- R mate-desktop or dump core
- rel 2

* Tue May 14 2013 Jan Rękorajski <baggins@pld-linux.org> 3a9223e
- new

